### Struct

# Camel FolderInfo

#### Description

    struct CamelFolderInfo {
      _CamelFolderInfo* next;
      _CamelFolderInfo* parent;
      _CamelFolderInfo* child;
      gchar* full_name;
      gchar* display_name;
      CamelFolderInfoFlags flags;
      gint32 unread;
      gint32 total;
    }

No description available.

###### Structure members

`next:` `_CamelFolderInfo*`

  No description available.

`parent:` `_CamelFolderInfo*`

  No description available.

`child:` `_CamelFolderInfo*`

  No description available.

`full_name:` `gchar*`

  No description available.

`display_name:` `gchar*`

  No description available.

`flags:` `CamelFolderInfoFlags`

  No description available.

`unread:` `gint32`

  No description available.

`total:` `gint32`

  No description available.

#### Constructors

###### camel_folder_info_new

Allocates a new `CamelFolderInfo` instance. Free it with camel_folder_info_free().

since: 2.22

#### Functions

###### camel_folder_info_build

This takes an array of folders and attaches them together according to the hierarchy described by their full_names and `separator`. If `namespace_` is non-`NULL`, then it will be ignored as a full_name prefix, for purposes of comparison. If necessary, `camel_folder_info_build()` will create additional `CamelFolderInfo` with `NULL` urls to fill in gaps in the tree. The value of `short_names` is used in constructing the names of these intermediate folders.

#### Instance methods

###### camel_folder_info_clone

Clones `fi` recursively.

###### camel_folder_info_free

Frees `fi`.